# Generated by Django 5.0.2 on 2024-02-21 09:28

import django.db.models.deletion
import django_currentuser.db.models.fields
import django_currentuser.middleware
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DefaultModal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('name', models.CharField(max_length=64)),
                ('email', models.EmailField(max_length=128, unique=True)),
                ('url', models.URLField(blank=True, max_length=128)),
                ('text', models.TextField(blank=True)),
                ('decimal', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True)),
                ('image', models.ImageField(blank=True, default='no-img.jpg', upload_to='demo/image/')),
                ('date', models.DateField()),
                ('time', models.TimeField()),
                ('timestamp', models.DateTimeField()),
                ('boolean', models.BooleanField(default=False)),
                ('radio', models.CharField(choices=[('choice1', 'Choice1'), ('choice2', 'Choice2'), ('choice3', 'Choice3')], max_length=64)),
                ('progress', models.PositiveSmallIntegerField(default=0)),
                ('created_by', django_currentuser.db.models.fields.CurrentUserField(blank=True, default=django_currentuser.middleware.get_current_authenticated_user, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='created by')),
                ('manager', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('updated_by', django_currentuser.db.models.fields.CurrentUserField(default=django_currentuser.middleware.get_current_authenticated_user, null=True, on_delete=django.db.models.deletion.SET_NULL, on_update=True, related_name='%(app_label)s_%(class)s_updated_by', to=settings.AUTH_USER_MODEL, verbose_name='updated by')),
            ],
            options={
                'verbose_name': 'Default Model',
                'verbose_name_plural': 'Default Models',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pos', models.PositiveIntegerField()),
                ('title', models.CharField(max_length=64)),
                ('amount', models.DecimalField(decimal_places=2, default=1, max_digits=16)),
                ('price', models.DecimalField(decimal_places=2, max_digits=16)),
                ('default_model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='milea_demo.defaultmodal')),
            ],
            options={
                'ordering': ['pos'],
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('tag_name', models.CharField(max_length=64)),
                ('created_by', django_currentuser.db.models.fields.CurrentUserField(blank=True, default=django_currentuser.middleware.get_current_authenticated_user, editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(app_label)s_%(class)s_created_by', to=settings.AUTH_USER_MODEL, verbose_name='created by')),
                ('updated_by', django_currentuser.db.models.fields.CurrentUserField(default=django_currentuser.middleware.get_current_authenticated_user, null=True, on_delete=django.db.models.deletion.SET_NULL, on_update=True, related_name='%(app_label)s_%(class)s_updated_by', to=settings.AUTH_USER_MODEL, verbose_name='updated by')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='defaultmodal',
            name='tags',
            field=models.ManyToManyField(blank=True, to='milea_demo.tag'),
        ),
    ]
